# Generated by Django 4.0.4 on 2022-06-28 18:45

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='BankAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('acc_name', models.CharField(blank=True, max_length=100, null=True)),
                ('acc_no', models.CharField(blank=True, max_length=40, null=True)),
                ('branch', models.CharField(blank=True, max_length=100, null=True)),
                ('uid', models.CharField(blank=True, max_length=40, null=True)),
                ('uid_type', models.CharField(blank=True, max_length=10, null=True)),
                ('acc_type', models.CharField(blank=True, max_length=10, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='comm_addr',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='dob',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='doj',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='emp_id',
            field=models.CharField(blank=True, max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='perm_addr',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='phone',
            field=models.CharField(blank=True, max_length=25, null=True),
        ),
        migrations.AddField(
            model_name='ifpuser',
            name='bank_accounts',
            field=models.ManyToManyField(to='accounts.bankaccount', verbose_name='Bank Accounts associated'),
        ),
    ]
